precision mediump float;        // Set the default precision to medium. We don't need as high of a
                                // precision in the fragment shader.
uniform vec3 u_LightPos;        // The position of the light in eye space.
uniform sampler2D u_Texture;    // The input texture.

varying vec2 v_TexCoordinate;   // This will be passed into the fragment shader.
vec4 PostFX(sampler2D tex, vec2 uv, float time)
{
vec2 center = vec2(500.0, 500.0); 
  vec2 texSize = vec2(1000.0, 1000.0);
  vec2 tc = uv * texSize; 
  tc -= center; 
  float dist = length(tc); 
  if (dist < 600.0)      
  {          
    float percent = (600.0 - dist) / 600.0;
    float theta = percent * percent *  0.8 * 8.0;
    float s = sin(theta);
    float c = cos(theta);
    tc = vec2(dot(tc, vec2(c, -s)), dot(tc, vec2(s, c)));
  }else{
  return vec4(0.0,0.0,0.0, 1.0);
  }  
  tc += center; 
  vec3 color = texture2D(u_Texture, tc / texSize).rgb;
  return vec4(color, 1.0);
}

void main (void) 
{ 
//vec2 center = vec2(0.0, 0.0); 
  //vec2 uv = v_TexCoordinate.st;  
  //vec4 color= PostFX(u_Texture, uv, 1.0);
  //if (color.r==1.0) discard;
  //if ((color.r<0.05)&&(color.g<0.05)&&(color.b<0.05)) discard;
   
  //gl_FragColor = color;
  gl_FragColor = texture2D(u_Texture, v_TexCoordinate);
}