uniform mat4 u_MVPMatrix;       // A constant representing the combined model/view/projection matrix.
uniform mat4 u_MVMatrix;        // A constant representing the combined model/view matrix.
 
attribute vec4 a_Position;      // Per-vertex position information we will pass in.
attribute vec3 a_Normal;        // Per-vertex normal information we will pass in.
attribute vec2 a_TexCoordinate; // Per-vertex texture coordinate information we will pass in.
 
varying vec3 v_Position;        // This will be passed into the fragment shader.
varying vec2 v_TexCoordinate;   // This will be passed into the fragment shader.
  
// The entry point for our fragment shader.
void main()
{
// Pass through the color   
    
    v_Position = vec3(u_MVMatrix * a_Position);
    v_TexCoordinate = a_TexCoordinate;
	
    gl_Position = u_MVPMatrix * a_Position;
}